Open SCAP Library: oval_session Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
oval_session Struct Reference
OVAL » OVALSESSION

A structure encapsulating the context of OVAL operations. More...

`#include <oval_session.h>`

## Public Member Functions
struct oval_session * | oval_session_new (const char *filename)
| Costructor of an oval_session. More...
void | oval_session_set_variables (struct oval_session *session, const char *filename)
| Set OVAL Variables. More...
void | oval_session_set_directives (struct oval_session *session, const char *filename)
| Set OVAL Directives. More...
void | oval_session_set_validation (struct oval_session *session, bool validate, bool full_validation)
| Set XSD validation level. More...
void | oval_session_set_datastream_id (struct oval_session *session, const char *id)
| Set ID of a specific OVAL Definition in an source datastream. More...
void | oval_session_set_component_id (struct oval_session *session, const char *id)
| Set ID of a particular OVAL component if there are two OVALs in one source datastream. More...
void | oval_session_set_results_export (struct oval_session *session, const char *filename)
| Set a name of the file that the the OVAL Results will be written into. More...
void | oval_session_set_report_export (struct oval_session *session, const char *filename)
| Set a name of the file that the the OVAL Results, converted to HTML format, will be written into. More...
void | oval_session_set_xml_reporter (struct oval_session *session, xml_reporter fn)
| Set XML validation reporter. More...
int | oval_session_load (struct oval_session *session)
| Load OVAL Definitions and bind OVAL Variables to it if provided. More...
int | oval_session_evaluate_id (struct oval_session *session, char *probe_root, const char *id, oval_result_t *result)
| Evaluate a specific OVAL Definition. More...
int | oval_session_evaluate (struct oval_session *session, char *probe_root, agent_reporter fn, void *arg)
| Evaluate OVAL Definitions. More...
int | oval_session_export (struct oval_session *session)
| Export result to a file. More...
void | oval_session_set_export_system_characteristics (struct oval_session *session, bool export)
| Set exporting of system characteristics in OVAL results. More...
void | oval_session_set_remote_resources (struct oval_session *session, bool allowed, download_progress_calllback_t callback)
| Set property of remote content. More...
void | oval_session_free (struct oval_session *session)
| Destructor of an oval_session. More...

## Data Fields
struct oscap_source * | source
struct oval_definition_model * | def_model
struct oval_variable_model * | var_model
struct oval_results_model * | res_model
oval_agent_session_t * | sess
struct ds_sds_session * | sds_session
struct {
struct oscap_source * definitions
struct oscap_source * variables
struct oscap_source * directives
} | oval
char * | datastream_id
char * | component_id
struct {
char * results
char * report
} | export
struct {
xml_reporter xml_fn
} | reporter
bool | validation
bool | export_sys_chars
bool | full_validation
bool | fetch_remote_resources
download_progress_calllback_t | progress

## Detailed Description

A structure encapsulating the context of OVAL operations.

The documentation for this struct was generated from the following files:

- oval_session.c
- oval_session.h